Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt.bintype
Class BintypeOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--com.bea.wlxt.bintype.BintypeOutputStream

public class BintypeOutputStream
extends java.io.FilterOutputStream

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`BintypeOutputStream(java.io.OutputStream out)`

Method Summary
`void` | `close()`
`void` | `flush()`
`static void` | `main(java.lang.String[] args)`
`void` | `reset()`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`
`void` | `writeDelim(byte[] b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BintypeOutputStream

    public BintypeOutputStream(java.io.OutputStream out)

Method Detail

### writeDelim

    public void writeDelim(byte[] b)
                    throws java.io.IOException

### reset

    public void reset()

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class java.io.FilterOutputStream

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    flush in class java.io.FilterOutputStream

### write

    public void write(int b)
               throws java.io.IOException

  Overrides:
    write in class java.io.FilterOutputStream

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    write in class java.io.FilterOutputStream

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    write in class java.io.FilterOutputStream

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)